// ResourceLoader.java

import java.applet.*;

import java.awt.Image;

import javax.swing.ImageIcon;

public class ResourceLoader
{
   public static AudioClip loadAudioClip (String name)
   {
      return Applet.newAudioClip (ResourceLoader.class.getResource (name));
   }

   public static Image loadImage (String name)
   {
      return new ImageIcon (ResourceLoader.class.getResource (name))
                            .getImage ();
   }

   public static Image [] loadImages (String dir, String prefix, int count)
   {
      Image [] images = new Image [count];

      for (int i = 1; i <= count; i++)
           images [i-1] = loadImage (dir+"/"+prefix+i+".gif");

      return images;
   }
}
